//#include <RootFinder_prm.h>
#include <createRootFinder.h>

static const char* subclass_table_OdeSolver[] =
{
  "Bisection",
  "RegulaFalsi",
   NULL
};


const char** hierRootFinder () { return subclass_table_OdeSolver; }


RootFinder* createRootFinder (String name)
{
  RootFinder* ptr = NULL;
  if (EQ(name,Bisection))
    ptr = new Bisection;
  else if (EQ(name,RegulaFalsi))
    ptr = new RegulaFalsi;
  else
    errorFP("createRootFinder","Cannot make object of class %s",
	    name.chars());

  return ptr;
}
