set time parameters = dt=0.01 t in [0,5]
set gridfile = PREPROCESSOR=PreproBox | d=1 [0,5] | d=1 elm_tp=ElmB2n1D  div=[100], grading=[1]
set diffusion coeff = 0.1
set theta = 0.5
set compute error norms = false
sub SaveSimRes
set field storage format = BINARY
set grid storage format = BINARY
set time points for plot = [0:5.0,5.0]
ok
sub MGtools
sub GridCollector
set refinement = [2,2]
set no of grid levels = 3
ok
sub smoother LinEqSolver_prm
set smoother basic method = {SSOR}
set smoother pivoting strategy = NO_PIVOT
set smoother no of search vectors = 5
set smoother shift parameter = 0.0
set smoother restart = true
set smoother relaxation parameter = 0.8
set smoother startvector mode = USER_START
set smoother use default convergence criterion = OFF
set smoother no of additional convergence monitors = 0
set smoother max iterations = 1
set smoother use eigenvalue estimator = false
ok
ok
sub LinEqAdmFE
sub Matrix_prm
set matrix type = MatSparse
ok
sub LinEqSolver_prm
set basic method = ConjGrad
set startvector mode = USER_START
set use default convergence criterion = false
set no of additional convergence monitors = 1
set max iterations = 300
ok
sub Precond_prm
set preconditioning type = PrecML
ok
sub ConvMonitorList_prm
sub Define ConvMonitor #1
set #1: convergence monitor name = CMAbsTrueResidual
!set #1: residual type = LEFTPREC_RES !ORIGINAL_RES 
set #1: convergence tolerance = { 1.0e-6 }
set #1: norm type = l2
set #1: monitor mode = ON
set #1: run time plot = OFF
set #1: criterion mode = ON
set #1: append at end of list = ON
set #1: relational operator = CM_AND
set #1: use spectral scaling = OFF
set #1: relative to rhs = OFF
set #1: user base = 1.0
ok
ok

ok
ok


